| Home | Libraries | People | FAQ | More

# boost::asio::ip::basic_resolver_entry< Protocol > Class Template Reference

List of all members.

## Detailed Description

### template<typename Protocol>
class boost::asio::ip::basic_resolver_entry< Protocol >

An entry produced by a resolver.

The boost::asio::ip::basic_resolver_entry class template describes an entry as returned by a resolver.

Thread Safety:
  Distinct objects: Safe.
  Shared objects: Unsafe.

Concepts:
  Endpoint.

## Public Types

typedef Protocol | protocol_type
| The protocol type associated with the endpoint entry.
typedef Protocol::endpoint | endpoint_type
| The endpoint type associated with the endpoint entry.

## Public Member Functions

| basic_resolver_entry ()
| Default constructor.
| basic_resolver_entry (const endpoint_type &endpoint, const std::string &host_name, const std::string &service_name)
| Construct with specified endpoint, host name and service name.
endpoint_type | endpoint () const
| Get the endpoint associated with the entry.
| operator endpoint_type () const
| Convert to the endpoint associated with the entry.
std::string | host_name () const
| Get the host name associated with the entry.
std::string | service_name () const
| Get the service name associated with the entry.

## Member Typedef Documentation

template<typename Protocol>

typedef Protocol boost::asio::ip::basic_resolver_entry< Protocol >::protocol_type

The protocol type associated with the endpoint entry.

template<typename Protocol>

typedef Protocol::endpoint boost::asio::ip::basic_resolver_entry< Protocol >::endpoint_type

The endpoint type associated with the endpoint entry.

## Constructor & Destructor Documentation

template<typename Protocol>

boost::asio::ip::basic_resolver_entry< Protocol >::basic_resolver_entry | ( |  | ) |

Default constructor.

template<typename Protocol>

boost::asio::ip::basic_resolver_entry< Protocol >::basic_resolver_entry | ( | const endpoint_type & | endpoint,
|  | const std::string & | host_name,
|  | const std::string & | service_name |
| ) |  |  |

Construct with specified endpoint, host name and service name.

## Member Function Documentation

template<typename Protocol>

endpoint_type boost::asio::ip::basic_resolver_entry< Protocol >::endpoint | ( |  | ) | const

Get the endpoint associated with the entry.

template<typename Protocol>

boost::asio::ip::basic_resolver_entry< Protocol >::operator endpoint_type | ( |  | ) | const

Convert to the endpoint associated with the entry.

template<typename Protocol>

std::string boost::asio::ip::basic_resolver_entry< Protocol >::host_name | ( |  | ) | const

Get the host name associated with the entry.

template<typename Protocol>

std::string boost::asio::ip::basic_resolver_entry< Protocol >::service_name | ( |  | ) | const

Get the service name associated with the entry.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff